✓ Решено Ошибка mysql-server при обновлении.

Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.
Аватара пользователя
symon2014
Сообщения: 1513
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 398 раз

Ошибка mysql-server при обновлении.

Сообщение symon2014 » 15 сен 2016, 10:47

Привет, делал сегодня очередное обновление (терминалом), в процессе вылезло такое
insserv: warning: current start runlevel(s) (empty) of script `mysql' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `mysql' overrides LSB defaults (0 1 6).
На этом тупо остановилось, после 15 минут ожидания решил прервать процесс, но ни на какие комбинации реакции не было, сделал ресет, После перезагрузки апдейт предложил ввести команду
sudo dpkg --configure -a , ввёл.
► Показать

Что ещё пробовал, в синаптике нашёл эти пакеты и хотел переустановить, выдало вообще чушь (error - no name). На этом мысли кончились. :cray2:
PS. dpkg делал в 3 вариантах ( менял уровни загрузки - указанные в первых строчках), результат одинаковый.

Решение symon2014 » 15 сен 2016, 15:03
Победил. Не знаю почему поломался и как починился. Мои последние действия.
Удалил 3 пакета. mysql-server , mysql-server-5.7 , mysql-server-core-5.7 .
Вычистил и аптом и аптитуде( на всякий случай ), запустил установку метапакета mysql-server , выдало ту же ошибку. Нервно покурил и решил ребутнуться. После, первым делом запустил sudo dpkg --configure -a
. Стало выдавать это.
► Показать

Пока шёл процесс я чуть не :harakiri: , но в итоге починилось. Думаю в некоторых случаях полезно делать ребут.

Перейти к ответу ➙
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
Dja
Сообщения: 1988
Зарегистрирован: 27 авг 2016, 17:03
Решено: 11
Откуда: Воскресенск
Благодарил (а): 301 раз
Поблагодарили: 218 раз

Re: Ошибка mysql-server при обновлении.

Сообщение Dja » 15 сен 2016, 11:56

Синаптик выкинуть. sudo apt-get install -f
Новичок? - ознакомься с правилами
Изображение
В поисках истины :grabli:
Изображение

Аватара пользователя
symon2014
Сообщения: 1513
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 398 раз

Re: Ошибка mysql-server при обновлении.

Сообщение symon2014 » 15 сен 2016, 12:11

Dja, Об этой мелкой команде я просто не упомянул, пост получился бы длинным.
► Показать
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
zuzabrik
Сообщения: 759
Зарегистрирован: 29 авг 2016, 09:08
Решено: 15
Благодарил (а): 48 раз
Поблагодарили: 218 раз

Re: Ошибка mysql-server при обновлении.

Сообщение zuzabrik » 15 сен 2016, 12:55

MySQL настроен?

Такое ощущение что он хочет чтобы ты запустил демон mysqld и сделал там начальную конфигурацию
Имею желание иметь всех желающих, но не имею желающих.

Аватара пользователя
symon2014
Сообщения: 1513
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 398 раз

Re: Ошибка mysql-server при обновлении.

Сообщение symon2014 » 15 сен 2016, 13:03

И где этого демона найти и запустить?
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
Chocobo
Сообщения: 4560
Зарегистрирован: 27 авг 2016, 19:57
Решено: 107
Откуда: НН
Благодарил (а): 372 раза
Поблагодарили: 1223 раза

Re: Ошибка mysql-server при обновлении.

Сообщение Chocobo » 15 сен 2016, 13:17

symon2014, попробуй purge'нуть этот пакет, затем дай опять же sudo apt-get install -f и попробуй переустановить.

Или поменяй mysql на mariadb - разницы не увидишь :smile:
Изображение

Аватара пользователя
symon2014
Сообщения: 1513
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 398 раз

Re: Ошибка mysql-server при обновлении.

Сообщение symon2014 » 15 сен 2016, 13:31

Я пурген давал, но инсталл -ф не делал, сейчас попробую полностью вырезать гланды через другое место. Позавчера ещё работало , а сейчас -

Изображение
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
symon2014
Сообщения: 1513
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 398 раз

Re: Ошибка mysql-server при обновлении.

Сообщение symon2014 » 15 сен 2016, 15:03

Победил. Не знаю почему поломался и как починился. Мои последние действия.
Удалил 3 пакета. mysql-server , mysql-server-5.7 , mysql-server-core-5.7 .
Вычистил и аптом и аптитуде( на всякий случай ), запустил установку метапакета mysql-server , выдало ту же ошибку. Нервно покурил и решил ребутнуться. После, первым делом запустил sudo dpkg --configure -a
. Стало выдавать это.
► Показать

Пока шёл процесс я чуть не :harakiri: , но в итоге починилось. Думаю в некоторых случаях полезно делать ребут.
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .


Вернуться в «Иное программное обеспечение»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей